Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 148939 - Patch to make X11 support conditional
Summary: Patch to make X11 support conditional
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ghostscript
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-17 01:44 UTC by Philip Gwyn
Modified: 2015-02-25 13:28 UTC (History)
1 user (show)

Fixed In Version: ghostscript-9.15-6.fc21
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-19 13:32:28 UTC
Type: ---


Attachments (Terms of Use)
Patch (3.08 KB, patch)
2005-02-17 01:46 UTC, Philip Gwyn
no flags Details | Diff

Description Philip Gwyn 2005-02-17 01:44:51 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040914

Description of problem:
This patch adds %define use_X to the spec file.  This define is then
used to conditionnaly turn functionnaly that needs X11 on or off.

Deactivating X11 is useful for servers.

This means that gsx, gv, and the xes and other x11 output devices are
not available.

Version-Release number of selected component (if applicable):
ghostscript-7.07-33

How reproducible:
Always

Steps to Reproduce:
1. Default FC3 install
2. rpm -e xorg-x11-libs
    

Actual Results:  Step 2 fails because ghostscript requires xorg-x11-libs

Expected Results:  Being able to install a server w/o X11 libs

Additional info:

Comment 1 Philip Gwyn 2005-02-17 01:46:47 UTC
Created attachment 111146 [details]
Patch

Comment 2 Matthew Miller 2006-07-10 20:47:23 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 3 Tim Waugh 2006-07-11 12:45:22 UTC
Think the patch will need re-working for ESP GS now.

Comment 4 Tim Waugh 2014-12-18 17:15:44 UTC
Looks like we can just package %{_libdir}/%{name}/%{gs_dot_ver}/X11.so separately now and have it do the right thing at runtime.

Comment 5 Fedora Update System 2014-12-19 13:36:41 UTC
ghostscript-9.15-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/FEDORA-2014-15306/ghostscript-9.15-4.fc21

Comment 6 Fedora Update System 2015-02-25 13:28:46 UTC
ghostscript-9.15-6.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.